org.apache.poi.ddf

## Enum EscherColorRef.SysIndexProcedure

- java.lang.Object
- - java.lang.Enum<EscherColorRef.SysIndexProcedure>
  - - org.apache.poi.ddf.EscherColorRef.SysIndexProcedure

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EscherColorRef.SysIndexProcedure>
  Enclosing class:
    EscherColorRef

      public static enum EscherColorRef.SysIndexProcedure
      extends java.lang.Enum<EscherColorRef.SysIndexProcedure>

  The following enum specifies values that indicate special procedural properties that are used to modify the color components of another color. These values are combined with those of the `EscherColorRef.SysIndexSource` enum or with a user-specified color. The first six values are mutually exclusive.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_GRAY_LEVEL` Add a gray level RGB value.
    `DARKEN_COLOR` Darken the color by the value that is specified in the blue field.
    `INVERT_AFTER` After making other modifications, invert the color.
    `INVERT_HIGHBIT_AFTER` After making other modifications, invert the color by toggling just the high bit of each color channel.
    `LIGHTEN_COLOR` Lighten the color by the value that is specified in the blue field.
    `REVERSE_GRAY_LEVEL` Reverse-subtract a gray level RGB value.
    `SUB_GRAY_LEVEL` Subtract a gray level RGB value.
    `THRESHOLD` If the color component being modified is less than the parameter contained in the blue field, set it to the minimum intensity.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EscherColorRef.SysIndexProcedure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EscherColorRef.SysIndexProcedure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DARKEN_COLOR

          public static final EscherColorRef.SysIndexProcedure DARKEN_COLOR

      Darken the color by the value that is specified in the blue field. A blue value of 0xFF specifies that the color is to be left unchanged, whereas a blue value of 0x00 specifies that the color is to be completely darkened.

    - #### LIGHTEN_COLOR

          public static final EscherColorRef.SysIndexProcedure LIGHTEN_COLOR

      Lighten the color by the value that is specified in the blue field. A blue value of 0xFF specifies that the color is to be left unchanged, whereas a blue value of 0x00 specifies that the color is to be completely lightened.

    - #### ADD_GRAY_LEVEL

          public static final EscherColorRef.SysIndexProcedure ADD_GRAY_LEVEL

      Add a gray level RGB value. The blue field contains the gray level to add: NewColor = SourceColor + gray

    - #### SUB_GRAY_LEVEL

          public static final EscherColorRef.SysIndexProcedure SUB_GRAY_LEVEL

      Subtract a gray level RGB value. The blue field contains the gray level to subtract: NewColor = SourceColor - gray

    - #### REVERSE_GRAY_LEVEL

          public static final EscherColorRef.SysIndexProcedure REVERSE_GRAY_LEVEL

      Reverse-subtract a gray level RGB value. The blue field contains the gray level from which to subtract: NewColor = gray - SourceColor

    - #### THRESHOLD

          public static final EscherColorRef.SysIndexProcedure THRESHOLD

      If the color component being modified is less than the parameter contained in the blue field, set it to the minimum intensity. If the color component being modified is greater than or equal to the parameter, set it to the maximum intensity.

    - #### INVERT_AFTER

          public static final EscherColorRef.SysIndexProcedure INVERT_AFTER

      After making other modifications, invert the color. This enum value is only for documentation and won't be directly returned.

    - #### INVERT_HIGHBIT_AFTER

          public static final EscherColorRef.SysIndexProcedure INVERT_HIGHBIT_AFTER

      After making other modifications, invert the color by toggling just the high bit of each color channel. This enum value is only for documentation and won't be directly returned.

  - ### Method Detail

    - #### values

          public static EscherColorRef.SysIndexProcedure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EscherColorRef.SysIndexProcedure c : EscherColorRef.SysIndexProcedure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EscherColorRef.SysIndexProcedure valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.